@font-face {
    font-family: 'IBMPlexSansArabic';
    src: url('/fonts/IBMPlexSansArabic/IBMPlexSansArabic-Regular.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'IBMPlexSansArabic';
    src: url('/fonts/IBMPlexSansArabic/IBMPlexSansArabic-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: normal;
}

body {
    font-family: 'IBMPlexSansArabic', sans-serif !important;
}


.fi-simple-header {
    align-items: start;
}

.fi-sidebar {
    background-color: #FFFFFF;
}

.fi-sidebar-item.fi-active>.fi-sidebar-item-btn>.fi-sidebar-item-label {
    font-weight: 700 !important;
}

.fi-ta-header-toolbar {
    flex-direction: row-reverse;
}

.fi-ta-header-toolbar .fi-ac-btn-action {
    display: flex !important;
}

.fi-ta-ctn .fi-ta-header-toolbar>:nth-child(2) {
    margin-inline-start: 0 !important;
}


.fi-table-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    transition: all 150ms cubic-bezier(0.4, 0, 0.2, 1);
}


.fi-table-overlay-icon {
    height: 1.5rem;
    /* h-8 */
    width: 1.5rem;
    /* w-8 */
    /* color: var(--primary, #3b82f6); */
    /* text-primary with a sensible fallback */
    display: inline-block;
    animation: spin 1s linear infinite;
    /* animate-spin */
    -webkit-animation: spin 1s linear infinite;
}

/* Ensure SVG/icons inherit size and color */
.fi-table-overlay-icon svg,
.fi-table-overlay-icon>* {
    width: 100%;
    height: 100%;
}

/* spin keyframes */
@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    to {
        -webkit-transform: rotate(360deg);
    }
}